> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Team Checkout

> Create a Stripe Checkout Session for a team subscription.



## OpenAPI

````yaml /openapi.json post /api/v1/teams/checkout
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/teams/checkout:
    post:
      tags:
        - Teams
      summary: Team Checkout
      description: Create a Stripe Checkout Session for a team subscription.
      operationId: team_checkout_api_v1_teams_checkout_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TeamCheckoutRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TeamCheckoutResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    TeamCheckoutRequest:
      properties:
        team_type:
          type: string
          title: Team Type
        tier:
          type: string
          title: Tier
          default: starter
      type: object
      required:
        - team_type
      title: TeamCheckoutRequest
    TeamCheckoutResponse:
      properties:
        checkout_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Checkout Url
        team_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Team Id
      type: object
      title: TeamCheckoutResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````